﻿using Hotline.Orders;
using Hotline.Orders.Notifications;
using Hotline.Settings;
using Hotline.Share.Dtos;
using Hotline.Share.Enums.Order;
using MapsterMapper;
using MediatR;
using XF.Domain.Repository;


namespace Hotline.Application.Handlers.Order
{
    public class AddVisitNotifyHandler : INotificationHandler<AddVisitNotify>
    {


        private readonly IRepository<OrderVisit> _orderVisitRepository;
        private readonly IRepository<OrderVisitDetail> _orderVisitedDetailRepository;
        private readonly IRepository<SystemDicData> _systemDicDataRepository;
        private readonly IOrderRepository _orderRepository;
        private readonly IMapper _mapper;

        public AddVisitNotifyHandler(IRepository<OrderVisit> orderVisitRepository, IRepository<OrderVisitDetail> orderVisitedDetailRepository,IRepository<SystemDicData> systemDicDataRepository,IOrderRepository orderRepository,IMapper mapper)
        {
            _orderVisitRepository = orderVisitRepository;
            _orderVisitedDetailRepository = orderVisitedDetailRepository;
            _systemDicDataRepository = systemDicDataRepository;
            _orderRepository = orderRepository;
            _mapper = mapper;
        }


        public async Task Handle(AddVisitNotify notification, CancellationToken cancellationToken)
        {
            
        }
    }
}
